require 'rails_helper'

RSpec.describe "settings/menu_item_options/edit", type: :view do
  before(:each) do
    @settings_menu_item_option = assign(:settings_menu_item_option, Settings::MenuItemOption.create!(
      :name => "MyString",
      :value => "MyString"
    ))
  end

  it "renders the edit settings_menu_item_option form" do
    render

    assert_select "form[action=?][method=?]", settings_menu_item_option_path(@settings_menu_item_option), "post" do

      assert_select "input#settings_menu_item_option_name[name=?]", "settings_menu_item_option[name]"

      assert_select "input#settings_menu_item_option_value[name=?]", "settings_menu_item_option[value]"
    end
  end
end
